/* midori-database.c generated by valac 0.22.1, the Vala compiler
 * generated from midori-database.vala, do not modify */

/*
 Copyright (C) 2013 Christian Dywan <christian@twotoats.de>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 See the file COPYING for the full license text.
*/

#include <glib.h>
#include <glib-object.h>
#include <gio/gio.h>
#include <sqlite3.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <glib/gstdio.h>


#define MIDORI_TYPE_DATABASE (midori_database_get_type ())
#define MIDORI_DATABASE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MIDORI_TYPE_DATABASE, MidoriDatabase))
#define MIDORI_DATABASE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MIDORI_TYPE_DATABASE, MidoriDatabaseClass))
#define MIDORI_IS_DATABASE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MIDORI_TYPE_DATABASE))
#define MIDORI_IS_DATABASE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MIDORI_TYPE_DATABASE))
#define MIDORI_DATABASE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MIDORI_TYPE_DATABASE, MidoriDatabaseClass))

typedef struct _MidoriDatabase MidoriDatabase;
typedef struct _MidoriDatabaseClass MidoriDatabaseClass;
typedef struct _MidoriDatabasePrivate MidoriDatabasePrivate;
#define _sqlite3_close0(var) ((var == NULL) ? NULL : (var = (sqlite3_close (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _sqlite3_finalize0(var) ((var == NULL) ? NULL : (var = (sqlite3_finalize (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

typedef enum  {
	MIDORI_DATABASE_ERROR_OPEN,
	MIDORI_DATABASE_ERROR_NAMING,
	MIDORI_DATABASE_ERROR_FILENAME,
	MIDORI_DATABASE_ERROR_EXECUTE
} MidoriDatabaseError;
#define MIDORI_DATABASE_ERROR midori_database_error_quark ()
struct _MidoriDatabase {
	GObject parent_instance;
	MidoriDatabasePrivate * priv;
	sqlite3* _db;
};

struct _MidoriDatabaseClass {
	GObjectClass parent_class;
	gboolean (*init) (MidoriDatabase* self, GCancellable* cancellable, GError** error);
};

struct _MidoriDatabasePrivate {
	gchar* _path;
	gboolean _first_use;
};


static gpointer midori_database_parent_class = NULL;
static GInitableIface* midori_database_g_initable_parent_iface = NULL;

GQuark midori_database_error_quark (void);
GType midori_database_get_type (void) G_GNUC_CONST;
#define MIDORI_DATABASE_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), MIDORI_TYPE_DATABASE, MidoriDatabasePrivate))
enum  {
	MIDORI_DATABASE_DUMMY_PROPERTY,
	MIDORI_DATABASE_DB,
	MIDORI_DATABASE_PATH,
	MIDORI_DATABASE_FIRST_USE
};
MidoriDatabase* midori_database_new (const gchar* path, GError** error);
MidoriDatabase* midori_database_construct (GType object_type, const gchar* path, GError** error);
gboolean midori_database_init (MidoriDatabase* self, GCancellable* cancellable, GError** error);
static gboolean midori_database_real_init (MidoriDatabase* self, GCancellable* cancellable, GError** error);
const gchar* midori_database_get_path (MidoriDatabase* self);
void midori_database_set_path (MidoriDatabase* self, const gchar* value);
gchar* midori_paths_get_config_filename_for_writing (const gchar* filename);
sqlite3* midori_database_get_db (MidoriDatabase* self);
gboolean midori_database_exec_script (MidoriDatabase* self, const gchar* filename, GError** error);
gboolean midori_database_exec (MidoriDatabase* self, const gchar* query, GError** error);
void midori_database_set_first_use (MidoriDatabase* self, gboolean value);
gchar* midori_paths_get_res_filename (const gchar* filename);
gboolean midori_database_get_first_use (MidoriDatabase* self);
static void midori_database_finalize (GObject* obj);
static void _vala_midori_database_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_midori_database_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


GQuark midori_database_error_quark (void) {
	return g_quark_from_static_string ("midori_database_error-quark");
}


MidoriDatabase* midori_database_construct (GType object_type, const gchar* path, GError** error) {
	MidoriDatabase * self = NULL;
	const gchar* _tmp0_ = NULL;
	GError * _inner_error_ = NULL;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp0_ = path;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	self = (MidoriDatabase*) g_object_new (object_type, "path", _tmp0_, NULL);
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	midori_database_init (self, NULL, &_inner_error_);
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	if (_inner_error_ != NULL) {
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		if (_inner_error_->domain == MIDORI_DATABASE_ERROR) {
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_propagate_error (error, _inner_error_);
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_object_unref0 (self);
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			return NULL;
#line 124 "midori-database.c"
		} else {
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_clear_error (&_inner_error_);
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			return NULL;
#line 132 "midori-database.c"
		}
	}
#line 35 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	return self;
#line 137 "midori-database.c"
}


MidoriDatabase* midori_database_new (const gchar* path, GError** error) {
#line 35 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	return midori_database_construct (MIDORI_TYPE_DATABASE, path, error);
#line 144 "midori-database.c"
}


static gint _sqlite3_exec (sqlite3* self, const gchar* sql, sqlite3_callback callback, void* callback_target, gchar** errmsg) {
	gchar* _vala_errmsg = NULL;
	gint result = 0;
	const gchar* sqlite_errmsg = NULL;
	gint ec = 0;
	const gchar* _tmp0_ = NULL;
	sqlite3_callback _tmp1_ = NULL;
	void* _tmp1__target = NULL;
	const gchar* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	const gchar* _tmp6_ = NULL;
#line 34 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 34 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
	g_return_val_if_fail (sql != NULL, 0);
#line 36 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
	_tmp0_ = sql;
#line 36 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
	_tmp1_ = callback;
#line 36 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
	_tmp1__target = callback_target;
#line 36 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
	_tmp3_ = sqlite3_exec (self, _tmp0_, _tmp1_, _tmp1__target, (char**) (&_tmp2_));
#line 36 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
	sqlite_errmsg = _tmp2_;
#line 36 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
	ec = _tmp3_;
#line 37 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
	if ((&_vala_errmsg) != NULL) {
#line 177 "midori-database.c"
		const gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
#line 38 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
		_tmp4_ = sqlite_errmsg;
#line 38 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
		_tmp5_ = g_strdup (_tmp4_);
#line 38 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
		_g_free0 (_vala_errmsg);
#line 38 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
		_vala_errmsg = _tmp5_;
#line 188 "midori-database.c"
	}
#line 40 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
	_tmp6_ = sqlite_errmsg;
#line 40 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
	sqlite3_free ((void*) _tmp6_);
#line 41 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
	result = ec;
#line 41 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
	if (errmsg) {
#line 41 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
		*errmsg = _vala_errmsg;
#line 200 "midori-database.c"
	} else {
#line 41 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
		_g_free0 (_vala_errmsg);
#line 204 "midori-database.c"
	}
#line 41 "/usr/share/vala-0.22/vapi/sqlite3.vapi"
	return result;
#line 208 "midori-database.c"
}


static gpointer _g_error_copy0 (gpointer self) {
#line 74 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	return self ? g_error_copy (self) : NULL;
#line 215 "midori-database.c"
}


static gboolean midori_database_real_init (MidoriDatabase* self, GCancellable* cancellable, GError** error) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gboolean exists = FALSE;
	const gchar* _tmp6_ = NULL;
	gint _tmp7_ = 0;
	const gchar* _tmp8_ = NULL;
	sqlite3* _tmp9_ = NULL;
	gint _tmp10_ = 0;
	sqlite3* _tmp16_ = NULL;
	sqlite3* _tmp17_ = NULL;
	gint _tmp18_ = 0;
	sqlite3* _tmp21_ = NULL;
	sqlite3* _tmp22_ = NULL;
	gint64 user_version = 0LL;
	sqlite3_stmt* stmt = NULL;
	sqlite3* _tmp23_ = NULL;
	sqlite3* _tmp24_ = NULL;
	sqlite3_stmt* _tmp25_ = NULL;
	gint _tmp26_ = 0;
	sqlite3_stmt* _tmp34_ = NULL;
	gint _tmp35_ = 0;
	sqlite3_stmt* _tmp43_ = NULL;
	gint64 _tmp44_ = 0LL;
	gint64 _tmp45_ = 0LL;
	gboolean _tmp65_ = FALSE;
	GError * _inner_error_ = NULL;
#line 41 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp0_ = self->priv->_path;
#line 41 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	if (_tmp0_ == NULL) {
#line 42 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		midori_database_set_path (self, ":memory:");
#line 252 "midori-database.c"
	} else {
		const gchar* _tmp1_ = NULL;
		gboolean _tmp2_ = FALSE;
#line 43 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp1_ = self->priv->_path;
#line 43 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp2_ = g_path_is_absolute (_tmp1_);
#line 43 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		if (!_tmp2_) {
#line 262 "midori-database.c"
			const gchar* _tmp3_ = NULL;
			gchar* _tmp4_ = NULL;
			gchar* _tmp5_ = NULL;
#line 44 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_tmp3_ = self->priv->_path;
#line 44 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_tmp4_ = midori_paths_get_config_filename_for_writing (_tmp3_);
#line 44 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_tmp5_ = _tmp4_;
#line 44 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			midori_database_set_path (self, _tmp5_);
#line 44 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_free0 (_tmp5_);
#line 276 "midori-database.c"
		}
	}
#line 45 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp6_ = self->priv->_path;
#line 45 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp7_ = access (_tmp6_, F_OK);
#line 45 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	exists = _tmp7_ == 0;
#line 47 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp8_ = self->priv->_path;
#line 47 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp10_ = sqlite3_open_v2 (_tmp8_, &_tmp9_, SQLITE_OPEN_READWRITE | SQLITE_OPEN_CREATE, NULL);
#line 47 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_sqlite3_close0 (self->_db);
#line 47 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	self->_db = _tmp9_;
#line 47 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	if (_tmp10_ != SQLITE_OK) {
#line 295 "midori-database.c"
		const gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		GError* _tmp14_ = NULL;
		GError* _tmp15_ = NULL;
#line 48 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp11_ = self->priv->_path;
#line 48 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp12_ = g_strdup_printf ("Failed to open database %s", _tmp11_);
#line 48 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp13_ = _tmp12_;
#line 48 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp14_ = g_error_new_literal (MIDORI_DATABASE_ERROR, MIDORI_DATABASE_ERROR_OPEN, _tmp13_);
#line 48 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp15_ = _tmp14_;
#line 48 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_g_free0 (_tmp13_);
#line 48 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_inner_error_ = _tmp15_;
#line 48 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		if (_inner_error_->domain == MIDORI_DATABASE_ERROR) {
#line 48 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_propagate_error (error, _inner_error_);
#line 48 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			return FALSE;
#line 321 "midori-database.c"
		} else {
#line 48 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 48 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_clear_error (&_inner_error_);
#line 48 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			return FALSE;
#line 329 "midori-database.c"
		}
	}
#line 50 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp16_ = midori_database_get_db (self);
#line 50 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp17_ = _tmp16_;
#line 50 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp18_ = _sqlite3_exec (_tmp17_, "PRAGMA journal_mode = WAL; PRAGMA cache_size = 32100;", NULL, NULL, NULL);
#line 50 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	if (_tmp18_ != SQLITE_OK) {
#line 340 "midori-database.c"
		sqlite3* _tmp19_ = NULL;
		sqlite3* _tmp20_ = NULL;
#line 51 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp19_ = midori_database_get_db (self);
#line 51 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp20_ = _tmp19_;
#line 51 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_sqlite3_exec (_tmp20_, "PRAGMA synchronous = NORMAL; PRAGMA temp_store = MEMORY;", NULL, NULL, NULL);
#line 349 "midori-database.c"
	}
#line 52 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp21_ = midori_database_get_db (self);
#line 52 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp22_ = _tmp21_;
#line 52 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_sqlite3_exec (_tmp22_, "PRAGMA count_changes = OFF;", NULL, NULL, NULL);
#line 56 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp23_ = midori_database_get_db (self);
#line 56 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp24_ = _tmp23_;
#line 56 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp26_ = sqlite3_prepare_v2 (_tmp24_, "PRAGMA user_version;", -1, &_tmp25_, NULL);
#line 56 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_sqlite3_finalize0 (stmt);
#line 56 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	stmt = _tmp25_;
#line 56 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	if (_tmp26_ != SQLITE_OK) {
#line 369 "midori-database.c"
		sqlite3* _tmp27_ = NULL;
		sqlite3* _tmp28_ = NULL;
		const gchar* _tmp29_ = NULL;
		gchar* _tmp30_ = NULL;
		gchar* _tmp31_ = NULL;
		GError* _tmp32_ = NULL;
		GError* _tmp33_ = NULL;
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp27_ = midori_database_get_db (self);
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp28_ = _tmp27_;
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp29_ = sqlite3_errmsg (_tmp28_);
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp30_ = g_strdup_printf ("Failed to compile statement %s", _tmp29_);
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp31_ = _tmp30_;
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp32_ = g_error_new_literal (MIDORI_DATABASE_ERROR, MIDORI_DATABASE_ERROR_EXECUTE, _tmp31_);
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp33_ = _tmp32_;
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_g_free0 (_tmp31_);
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_inner_error_ = _tmp33_;
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		if (_inner_error_->domain == MIDORI_DATABASE_ERROR) {
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_propagate_error (error, _inner_error_);
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_sqlite3_finalize0 (stmt);
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			return FALSE;
#line 403 "midori-database.c"
		} else {
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_sqlite3_finalize0 (stmt);
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_clear_error (&_inner_error_);
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			return FALSE;
#line 413 "midori-database.c"
		}
	}
#line 58 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp34_ = stmt;
#line 58 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp35_ = sqlite3_step (_tmp34_);
#line 58 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	if (_tmp35_ != SQLITE_ROW) {
#line 422 "midori-database.c"
		sqlite3* _tmp36_ = NULL;
		sqlite3* _tmp37_ = NULL;
		const gchar* _tmp38_ = NULL;
		gchar* _tmp39_ = NULL;
		gchar* _tmp40_ = NULL;
		GError* _tmp41_ = NULL;
		GError* _tmp42_ = NULL;
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp36_ = midori_database_get_db (self);
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp37_ = _tmp36_;
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp38_ = sqlite3_errmsg (_tmp37_);
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp39_ = g_strdup_printf ("Failed to get row %s", _tmp38_);
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp40_ = _tmp39_;
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp41_ = g_error_new_literal (MIDORI_DATABASE_ERROR, MIDORI_DATABASE_ERROR_EXECUTE, _tmp40_);
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp42_ = _tmp41_;
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_g_free0 (_tmp40_);
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_inner_error_ = _tmp42_;
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		if (_inner_error_->domain == MIDORI_DATABASE_ERROR) {
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_propagate_error (error, _inner_error_);
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_sqlite3_finalize0 (stmt);
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			return FALSE;
#line 456 "midori-database.c"
		} else {
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_sqlite3_finalize0 (stmt);
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_clear_error (&_inner_error_);
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			return FALSE;
#line 466 "midori-database.c"
		}
	}
#line 60 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp43_ = stmt;
#line 60 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp44_ = sqlite3_column_int64 (_tmp43_, 0);
#line 60 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	user_version = _tmp44_;
#line 62 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp45_ = user_version;
#line 62 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	if (_tmp45_ == ((gint64) 0)) {
#line 479 "midori-database.c"
		gint64 _tmp46_ = 0LL;
		gchar* _tmp47_ = NULL;
		gchar* _tmp48_ = NULL;
		gchar* _tmp49_ = NULL;
		gchar* _tmp50_ = NULL;
#line 63 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		midori_database_exec_script (self, "Create", &_inner_error_);
#line 63 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		if (_inner_error_ != NULL) {
#line 63 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			if (_inner_error_->domain == MIDORI_DATABASE_ERROR) {
#line 63 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				g_propagate_error (error, _inner_error_);
#line 63 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				_sqlite3_finalize0 (stmt);
#line 63 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				return FALSE;
#line 497 "midori-database.c"
			} else {
#line 63 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				_sqlite3_finalize0 (stmt);
#line 63 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 63 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				g_clear_error (&_inner_error_);
#line 63 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				return FALSE;
#line 507 "midori-database.c"
			}
		}
#line 64 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		user_version = (gint64) 1;
#line 65 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp46_ = user_version;
#line 65 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp47_ = g_strdup_printf ("%" G_GINT64_FORMAT, _tmp46_);
#line 65 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp48_ = _tmp47_;
#line 65 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp49_ = g_strconcat ("PRAGMA user_version = ", _tmp48_, NULL);
#line 65 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp50_ = _tmp49_;
#line 65 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		midori_database_exec (self, _tmp50_, &_inner_error_);
#line 65 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_g_free0 (_tmp50_);
#line 65 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_g_free0 (_tmp48_);
#line 65 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		if (_inner_error_ != NULL) {
#line 65 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			if (_inner_error_->domain == MIDORI_DATABASE_ERROR) {
#line 65 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				g_propagate_error (error, _inner_error_);
#line 65 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				_sqlite3_finalize0 (stmt);
#line 65 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				return FALSE;
#line 538 "midori-database.c"
			} else {
#line 65 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				_sqlite3_finalize0 (stmt);
#line 65 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 65 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				g_clear_error (&_inner_error_);
#line 65 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				return FALSE;
#line 548 "midori-database.c"
			}
		}
	}
#line 68 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	while (TRUE) {
#line 554 "midori-database.c"
		gint64 _tmp59_ = 0LL;
		gint64 _tmp60_ = 0LL;
		gchar* _tmp61_ = NULL;
		gchar* _tmp62_ = NULL;
		gchar* _tmp63_ = NULL;
		gchar* _tmp64_ = NULL;
		{
			gint64 _tmp51_ = 0LL;
			gchar* _tmp52_ = NULL;
			gchar* _tmp53_ = NULL;
			gchar* _tmp54_ = NULL;
			gchar* _tmp55_ = NULL;
#line 70 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_tmp51_ = user_version;
#line 70 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_tmp52_ = g_strdup_printf ("%" G_GINT64_FORMAT, _tmp51_);
#line 70 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_tmp53_ = _tmp52_;
#line 70 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_tmp54_ = g_strconcat ("Update", _tmp53_, NULL);
#line 70 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_tmp55_ = _tmp54_;
#line 70 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			midori_database_exec_script (self, _tmp55_, &_inner_error_);
#line 70 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_free0 (_tmp55_);
#line 70 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_free0 (_tmp53_);
#line 70 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			if (_inner_error_ != NULL) {
#line 70 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				if (_inner_error_->domain == MIDORI_DATABASE_ERROR) {
#line 587 "midori-database.c"
					goto __catch20_midori_database_error;
				}
#line 70 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				_sqlite3_finalize0 (stmt);
#line 70 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 70 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				g_clear_error (&_inner_error_);
#line 70 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				return FALSE;
#line 598 "midori-database.c"
			}
		}
		goto __finally20;
		__catch20_midori_database_error:
		{
			GError* _error_ = NULL;
			GError* _tmp56_ = NULL;
			GError* _tmp57_ = NULL;
			GError* _tmp58_ = NULL;
#line 69 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_error_ = _inner_error_;
#line 69 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_inner_error_ = NULL;
#line 72 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_tmp56_ = _error_;
#line 72 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			if (g_error_matches (_tmp56_, MIDORI_DATABASE_ERROR, MIDORI_DATABASE_ERROR_FILENAME)) {
#line 73 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				_g_error_free0 (_error_);
#line 73 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				break;
#line 620 "midori-database.c"
			}
#line 74 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_tmp57_ = _error_;
#line 74 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_tmp58_ = _g_error_copy0 (_tmp57_);
#line 74 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_inner_error_ = _tmp58_;
#line 74 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_error_free0 (_error_);
#line 630 "midori-database.c"
			goto __finally20;
		}
		__finally20:
#line 69 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		if (_inner_error_ != NULL) {
#line 69 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			if (_inner_error_->domain == MIDORI_DATABASE_ERROR) {
#line 69 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				g_propagate_error (error, _inner_error_);
#line 69 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				_sqlite3_finalize0 (stmt);
#line 69 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				return FALSE;
#line 644 "midori-database.c"
			} else {
#line 69 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				_sqlite3_finalize0 (stmt);
#line 69 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 69 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				g_clear_error (&_inner_error_);
#line 69 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				return FALSE;
#line 654 "midori-database.c"
			}
		}
#line 76 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp59_ = user_version;
#line 76 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		user_version = _tmp59_ + 1;
#line 77 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp60_ = user_version;
#line 77 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp61_ = g_strdup_printf ("%" G_GINT64_FORMAT, _tmp60_);
#line 77 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp62_ = _tmp61_;
#line 77 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp63_ = g_strconcat ("PRAGMA user_version = ", _tmp62_, NULL);
#line 77 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp64_ = _tmp63_;
#line 77 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		midori_database_exec (self, _tmp64_, &_inner_error_);
#line 77 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_g_free0 (_tmp64_);
#line 77 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_g_free0 (_tmp62_);
#line 77 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		if (_inner_error_ != NULL) {
#line 77 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			if (_inner_error_->domain == MIDORI_DATABASE_ERROR) {
#line 77 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				g_propagate_error (error, _inner_error_);
#line 77 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				_sqlite3_finalize0 (stmt);
#line 77 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				return FALSE;
#line 687 "midori-database.c"
			} else {
#line 77 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				_sqlite3_finalize0 (stmt);
#line 77 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 77 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				g_clear_error (&_inner_error_);
#line 77 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
				return FALSE;
#line 697 "midori-database.c"
			}
		}
	}
#line 80 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp65_ = exists;
#line 80 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	midori_database_set_first_use (self, !_tmp65_);
#line 81 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	result = TRUE;
#line 81 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_sqlite3_finalize0 (stmt);
#line 81 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	return result;
#line 711 "midori-database.c"
}


gboolean midori_database_init (MidoriDatabase* self, GCancellable* cancellable, GError** error) {
#line 40 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 40 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	return MIDORI_DATABASE_GET_CLASS (self)->init (self, cancellable, error);
#line 720 "midori-database.c"
}


gboolean midori_database_exec_script (MidoriDatabase* self, const gchar* filename, GError** error) {
	gboolean result = FALSE;
	gchar* basename = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar** parts = NULL;
	const gchar* _tmp2_ = NULL;
	gchar** _tmp3_ = NULL;
	gchar** _tmp4_ = NULL;
	gint parts_length1 = 0;
	gint _parts_size_ = 0;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_ = FALSE;
	gchar** _tmp7_ = NULL;
	gint _tmp7__length1 = 0;
	gboolean _tmp10_ = FALSE;
	gboolean _tmp13_ = FALSE;
	gchar* schema_filename = NULL;
	gchar** _tmp19_ = NULL;
	gint _tmp19__length1 = 0;
	const gchar* _tmp20_ = NULL;
	gchar* _tmp21_ = NULL;
	gchar* _tmp22_ = NULL;
	const gchar* _tmp23_ = NULL;
	gchar* _tmp24_ = NULL;
	gchar* _tmp25_ = NULL;
	gchar* _tmp26_ = NULL;
	gchar* _tmp27_ = NULL;
	gchar* _tmp28_ = NULL;
	gchar* _tmp29_ = NULL;
	gchar* schema = NULL;
	const gchar* _tmp37_ = NULL;
	gchar* _tmp38_ = NULL;
	sqlite3* _tmp39_ = NULL;
	sqlite3* _tmp40_ = NULL;
	const gchar* _tmp41_ = NULL;
	gint _tmp42_ = 0;
	GError * _inner_error_ = NULL;
#line 84 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 84 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	g_return_val_if_fail (filename != NULL, FALSE);
#line 85 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp0_ = self->priv->_path;
#line 85 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp1_ = g_path_get_basename (_tmp0_);
#line 85 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	basename = _tmp1_;
#line 86 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp2_ = basename;
#line 86 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp4_ = _tmp3_ = g_strsplit (_tmp2_, ".", 0);
#line 86 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	parts = _tmp4_;
#line 86 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	parts_length1 = _vala_array_length (_tmp3_);
#line 86 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_parts_size_ = parts_length1;
#line 87 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp7_ = parts;
#line 87 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp7__length1 = parts_length1;
#line 87 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	if (_tmp7_ != NULL) {
#line 788 "midori-database.c"
		gchar** _tmp8_ = NULL;
		gint _tmp8__length1 = 0;
		const gchar* _tmp9_ = NULL;
#line 87 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp8_ = parts;
#line 87 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp8__length1 = parts_length1;
#line 87 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp9_ = _tmp8_[0];
#line 87 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp6_ = _tmp9_ != NULL;
#line 800 "midori-database.c"
	} else {
#line 87 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp6_ = FALSE;
#line 804 "midori-database.c"
	}
#line 87 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp10_ = _tmp6_;
#line 87 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	if (_tmp10_) {
#line 810 "midori-database.c"
		gchar** _tmp11_ = NULL;
		gint _tmp11__length1 = 0;
		const gchar* _tmp12_ = NULL;
#line 87 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp11_ = parts;
#line 87 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp11__length1 = parts_length1;
#line 87 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp12_ = _tmp11_[1];
#line 87 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp5_ = _tmp12_ != NULL;
#line 822 "midori-database.c"
	} else {
#line 87 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp5_ = FALSE;
#line 826 "midori-database.c"
	}
#line 87 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp13_ = _tmp5_;
#line 87 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	if (!_tmp13_) {
#line 832 "midori-database.c"
		const gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
		GError* _tmp17_ = NULL;
		GError* _tmp18_ = NULL;
#line 88 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp14_ = self->priv->_path;
#line 88 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp15_ = g_strdup_printf ("Failed to deduce schema filename from %s", _tmp14_);
#line 88 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp16_ = _tmp15_;
#line 88 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp17_ = g_error_new_literal (MIDORI_DATABASE_ERROR, MIDORI_DATABASE_ERROR_NAMING, _tmp16_);
#line 88 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp18_ = _tmp17_;
#line 88 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_g_free0 (_tmp16_);
#line 88 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_inner_error_ = _tmp18_;
#line 88 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		if (_inner_error_->domain == MIDORI_DATABASE_ERROR) {
#line 88 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_propagate_error (error, _inner_error_);
#line 88 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			parts = (_vala_array_free (parts, parts_length1, (GDestroyNotify) g_free), NULL);
#line 88 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_free0 (basename);
#line 88 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			return FALSE;
#line 862 "midori-database.c"
		} else {
#line 88 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			parts = (_vala_array_free (parts, parts_length1, (GDestroyNotify) g_free), NULL);
#line 88 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_free0 (basename);
#line 88 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 88 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_clear_error (&_inner_error_);
#line 88 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			return FALSE;
#line 874 "midori-database.c"
		}
	}
#line 89 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp19_ = parts;
#line 89 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp19__length1 = parts_length1;
#line 89 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp20_ = _tmp19_[0];
#line 89 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp21_ = g_strconcat (_tmp20_, "/", NULL);
#line 89 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp22_ = _tmp21_;
#line 89 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp23_ = filename;
#line 89 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp24_ = g_strconcat (_tmp22_, _tmp23_, NULL);
#line 89 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp25_ = _tmp24_;
#line 89 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp26_ = g_strconcat (_tmp25_, ".sql", NULL);
#line 89 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp27_ = _tmp26_;
#line 89 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp28_ = midori_paths_get_res_filename (_tmp27_);
#line 89 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp29_ = _tmp28_;
#line 89 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_g_free0 (_tmp27_);
#line 89 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_g_free0 (_tmp25_);
#line 89 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_g_free0 (_tmp22_);
#line 89 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	schema_filename = _tmp29_;
#line 909 "midori-database.c"
	{
		const gchar* _tmp30_ = NULL;
		gchar* _tmp31_ = NULL;
#line 92 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp30_ = schema_filename;
#line 92 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		g_file_get_contents (_tmp30_, &_tmp31_, NULL, &_inner_error_);
#line 92 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_g_free0 (schema);
#line 92 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		schema = _tmp31_;
#line 92 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		if (_inner_error_ != NULL) {
#line 923 "midori-database.c"
			goto __catch21_g_error;
		}
	}
	goto __finally21;
	__catch21_g_error:
	{
		GError* _error_ = NULL;
		const gchar* _tmp32_ = NULL;
		gchar* _tmp33_ = NULL;
		gchar* _tmp34_ = NULL;
		GError* _tmp35_ = NULL;
		GError* _tmp36_ = NULL;
#line 91 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_error_ = _inner_error_;
#line 91 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_inner_error_ = NULL;
#line 94 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp32_ = schema_filename;
#line 94 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp33_ = g_strdup_printf ("Failed to open schema: %s", _tmp32_);
#line 94 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp34_ = _tmp33_;
#line 94 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp35_ = g_error_new_literal (MIDORI_DATABASE_ERROR, MIDORI_DATABASE_ERROR_FILENAME, _tmp34_);
#line 94 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp36_ = _tmp35_;
#line 94 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_g_free0 (_tmp34_);
#line 94 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_inner_error_ = _tmp36_;
#line 94 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_g_error_free0 (_error_);
#line 956 "midori-database.c"
		goto __finally21;
	}
	__finally21:
#line 91 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	if (_inner_error_ != NULL) {
#line 91 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		if (_inner_error_->domain == MIDORI_DATABASE_ERROR) {
#line 91 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_propagate_error (error, _inner_error_);
#line 91 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_free0 (schema);
#line 91 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_free0 (schema_filename);
#line 91 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			parts = (_vala_array_free (parts, parts_length1, (GDestroyNotify) g_free), NULL);
#line 91 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_free0 (basename);
#line 91 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			return FALSE;
#line 976 "midori-database.c"
		} else {
#line 91 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_free0 (schema);
#line 91 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_free0 (schema_filename);
#line 91 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			parts = (_vala_array_free (parts, parts_length1, (GDestroyNotify) g_free), NULL);
#line 91 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_free0 (basename);
#line 91 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 91 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_clear_error (&_inner_error_);
#line 91 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			return FALSE;
#line 992 "midori-database.c"
		}
	}
#line 96 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp37_ = schema;
#line 96 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp38_ = g_strdup_printf ("BEGIN TRANSACTION; %s; COMMIT;", _tmp37_);
#line 96 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_g_free0 (schema);
#line 96 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	schema = _tmp38_;
#line 97 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp39_ = midori_database_get_db (self);
#line 97 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp40_ = _tmp39_;
#line 97 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp41_ = schema;
#line 97 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp42_ = _sqlite3_exec (_tmp40_, _tmp41_, NULL, NULL, NULL);
#line 97 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	if (_tmp42_ != SQLITE_OK) {
#line 1013 "midori-database.c"
		const gchar* _tmp43_ = NULL;
		gchar* _tmp44_ = NULL;
		gchar* _tmp45_ = NULL;
		GError* _tmp46_ = NULL;
		GError* _tmp47_ = NULL;
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp43_ = schema;
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp44_ = g_strdup_printf ("Failed to execute schema: %s", _tmp43_);
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp45_ = _tmp44_;
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp46_ = g_error_new_literal (MIDORI_DATABASE_ERROR, MIDORI_DATABASE_ERROR_EXECUTE, _tmp45_);
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp47_ = _tmp46_;
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_g_free0 (_tmp45_);
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_inner_error_ = _tmp47_;
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		if (_inner_error_->domain == MIDORI_DATABASE_ERROR) {
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_propagate_error (error, _inner_error_);
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_free0 (schema);
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_free0 (schema_filename);
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			parts = (_vala_array_free (parts, parts_length1, (GDestroyNotify) g_free), NULL);
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_free0 (basename);
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			return FALSE;
#line 1047 "midori-database.c"
		} else {
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_free0 (schema);
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_free0 (schema_filename);
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			parts = (_vala_array_free (parts, parts_length1, (GDestroyNotify) g_free), NULL);
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			_g_free0 (basename);
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_clear_error (&_inner_error_);
#line 98 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			return FALSE;
#line 1063 "midori-database.c"
		}
	}
#line 99 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	result = TRUE;
#line 99 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_g_free0 (schema);
#line 99 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_g_free0 (schema_filename);
#line 99 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	parts = (_vala_array_free (parts, parts_length1, (GDestroyNotify) g_free), NULL);
#line 99 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_g_free0 (basename);
#line 99 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	return result;
#line 1078 "midori-database.c"
}


gboolean midori_database_exec (MidoriDatabase* self, const gchar* query, GError** error) {
	gboolean result = FALSE;
	sqlite3* _tmp0_ = NULL;
	sqlite3* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	GError * _inner_error_ = NULL;
#line 102 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 102 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	g_return_val_if_fail (query != NULL, FALSE);
#line 103 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp0_ = midori_database_get_db (self);
#line 103 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp1_ = _tmp0_;
#line 103 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp2_ = query;
#line 103 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp3_ = _sqlite3_exec (_tmp1_, _tmp2_, NULL, NULL, NULL);
#line 103 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	if (_tmp3_ != SQLITE_OK) {
#line 1103 "midori-database.c"
		sqlite3* _tmp4_ = NULL;
		sqlite3* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		GError* _tmp7_ = NULL;
#line 104 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp4_ = midori_database_get_db (self);
#line 104 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp5_ = _tmp4_;
#line 104 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp6_ = sqlite3_errmsg (_tmp5_);
#line 104 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_tmp7_ = g_error_new_literal (MIDORI_DATABASE_ERROR, MIDORI_DATABASE_ERROR_EXECUTE, _tmp6_);
#line 104 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		_inner_error_ = _tmp7_;
#line 104 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		if (_inner_error_->domain == MIDORI_DATABASE_ERROR) {
#line 104 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_propagate_error (error, _inner_error_);
#line 104 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			return FALSE;
#line 1124 "midori-database.c"
		} else {
#line 104 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 104 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			g_clear_error (&_inner_error_);
#line 104 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
			return FALSE;
#line 1132 "midori-database.c"
		}
	}
#line 105 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	result = TRUE;
#line 105 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	return result;
#line 1139 "midori-database.c"
}


sqlite3* midori_database_get_db (MidoriDatabase* self) {
	sqlite3* result;
	sqlite3* _tmp0_ = NULL;
#line 21 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 21 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp0_ = self->_db;
#line 21 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	result = _tmp0_;
#line 21 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	return result;
#line 1154 "midori-database.c"
}


const gchar* midori_database_get_path (MidoriDatabase* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 23 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 23 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp0_ = self->priv->_path;
#line 23 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	result = _tmp0_;
#line 23 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	return result;
#line 1169 "midori-database.c"
}


void midori_database_set_path (MidoriDatabase* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 23 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	g_return_if_fail (self != NULL);
#line 23 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp0_ = value;
#line 23 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 23 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_g_free0 (self->priv->_path);
#line 23 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	self->priv->_path = _tmp1_;
#line 23 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	g_object_notify ((GObject *) self, "path");
#line 1188 "midori-database.c"
}


gboolean midori_database_get_first_use (MidoriDatabase* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 29 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 29 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp0_ = self->priv->_first_use;
#line 29 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	result = _tmp0_;
#line 29 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	return result;
#line 1203 "midori-database.c"
}


void midori_database_set_first_use (MidoriDatabase* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 29 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	g_return_if_fail (self != NULL);
#line 29 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp0_ = value;
#line 29 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	self->priv->_first_use = _tmp0_;
#line 29 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	g_object_notify ((GObject *) self, "first-use");
#line 1217 "midori-database.c"
}


static void midori_database_class_init (MidoriDatabaseClass * klass) {
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	midori_database_parent_class = g_type_class_peek_parent (klass);
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	g_type_class_add_private (klass, sizeof (MidoriDatabasePrivate));
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	MIDORI_DATABASE_CLASS (klass)->init = midori_database_real_init;
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_midori_database_get_property;
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_midori_database_set_property;
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	G_OBJECT_CLASS (klass)->finalize = midori_database_finalize;
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_DATABASE_DB, g_param_spec_pointer ("db", "db", "db", G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_DATABASE_PATH, g_param_spec_string ("path", "path", "path", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_DATABASE_FIRST_USE, g_param_spec_boolean ("first-use", "first-use", "first-use", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 1240 "midori-database.c"
}


static void midori_database_g_initable_interface_init (GInitableIface * iface) {
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	midori_database_g_initable_parent_iface = g_type_interface_peek_parent (iface);
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	iface->init = (gboolean (*)(GInitable*, GCancellable*, GError**)) midori_database_init;
#line 1249 "midori-database.c"
}


static void midori_database_instance_init (MidoriDatabase * self) {
	gchar* _tmp0_ = NULL;
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	self->priv = MIDORI_DATABASE_GET_PRIVATE (self);
#line 22 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	self->_db = NULL;
#line 23 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_tmp0_ = g_strdup (":memory:");
#line 23 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	self->priv->_path = _tmp0_;
#line 29 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	self->priv->_first_use = FALSE;
#line 1265 "midori-database.c"
}


static void midori_database_finalize (GObject* obj) {
	MidoriDatabase * self;
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MIDORI_TYPE_DATABASE, MidoriDatabase);
#line 22 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_sqlite3_close0 (self->_db);
#line 23 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	_g_free0 (self->priv->_path);
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	G_OBJECT_CLASS (midori_database_parent_class)->finalize (obj);
#line 1279 "midori-database.c"
}


GType midori_database_get_type (void) {
	static volatile gsize midori_database_type_id__volatile = 0;
	if (g_once_init_enter (&midori_database_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MidoriDatabaseClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) midori_database_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MidoriDatabase), 0, (GInstanceInitFunc) midori_database_instance_init, NULL };
		static const GInterfaceInfo g_initable_info = { (GInterfaceInitFunc) midori_database_g_initable_interface_init, (GInterfaceFinalizeFunc) NULL, NULL};
		GType midori_database_type_id;
		midori_database_type_id = g_type_register_static (G_TYPE_OBJECT, "MidoriDatabase", &g_define_type_info, 0);
		g_type_add_interface_static (midori_database_type_id, G_TYPE_INITABLE, &g_initable_info);
		g_once_init_leave (&midori_database_type_id__volatile, midori_database_type_id);
	}
	return midori_database_type_id__volatile;
}


static void _vala_midori_database_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	MidoriDatabase * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MIDORI_TYPE_DATABASE, MidoriDatabase);
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	switch (property_id) {
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		case MIDORI_DATABASE_DB:
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		g_value_set_pointer (value, midori_database_get_db (self));
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		break;
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		case MIDORI_DATABASE_PATH:
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		g_value_set_string (value, midori_database_get_path (self));
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		break;
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		case MIDORI_DATABASE_FIRST_USE:
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		g_value_set_boolean (value, midori_database_get_first_use (self));
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		break;
#line 1320 "midori-database.c"
		default:
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		break;
#line 1326 "midori-database.c"
	}
}


static void _vala_midori_database_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	MidoriDatabase * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MIDORI_TYPE_DATABASE, MidoriDatabase);
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
	switch (property_id) {
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		case MIDORI_DATABASE_PATH:
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		midori_database_set_path (self, g_value_get_string (value));
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		break;
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		case MIDORI_DATABASE_FIRST_USE:
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		midori_database_set_first_use (self, g_value_get_boolean (value));
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		break;
#line 1348 "midori-database.c"
		default:
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 20 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-database.vala"
		break;
#line 1354 "midori-database.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



