/* midori-tab.c generated by valac 0.22.1, the Vala compiler
 * generated from midori-tab.vala, do not modify */

/*
 Copyright (C) 2007-2013 Christian Dywan <christian@twotoasts.de>
 Copyright (C) 2009 Jean-François Guchens <zcx000@gmail.com>
 Copyright (C) 2011 Peter Hatina <phatina@redhat.com>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 See the file COPYING for the full license text.
*/

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include "webkit/webkit.h"
#include <stdlib.h>
#include <string.h>
#include <gdk/gdk.h>
#include <float.h>
#include <math.h>
#include <glib/gi18n-lib.h>
#include <gio/gio.h>
#include <pango/pango.h>


#define MIDORI_TYPE_NEW_VIEW (midori_new_view_get_type ())

#define MIDORI_TYPE_SECURITY (midori_security_get_type ())

#define MIDORI_TYPE_LOAD_STATUS (midori_load_status_get_type ())

#define MIDORI_TYPE_TAB (midori_tab_get_type ())
#define MIDORI_TAB(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MIDORI_TYPE_TAB, MidoriTab))
#define MIDORI_TAB_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MIDORI_TYPE_TAB, MidoriTabClass))
#define MIDORI_IS_TAB(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MIDORI_TYPE_TAB))
#define MIDORI_IS_TAB_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MIDORI_TYPE_TAB))
#define MIDORI_TAB_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MIDORI_TYPE_TAB, MidoriTabClass))

typedef struct _MidoriTab MidoriTab;
typedef struct _MidoriTabClass MidoriTabClass;
typedef struct _MidoriTabPrivate MidoriTabPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

#define MIDORI_TYPE_CONTEXT_ACTION (midori_context_action_get_type ())
#define MIDORI_CONTEXT_ACTION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MIDORI_TYPE_CONTEXT_ACTION, MidoriContextAction))
#define MIDORI_CONTEXT_ACTION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MIDORI_TYPE_CONTEXT_ACTION, MidoriContextActionClass))
#define MIDORI_IS_CONTEXT_ACTION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MIDORI_TYPE_CONTEXT_ACTION))
#define MIDORI_IS_CONTEXT_ACTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MIDORI_TYPE_CONTEXT_ACTION))
#define MIDORI_CONTEXT_ACTION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MIDORI_TYPE_CONTEXT_ACTION, MidoriContextActionClass))

typedef struct _MidoriContextAction MidoriContextAction;
typedef struct _MidoriContextActionClass MidoriContextActionClass;

typedef enum  {
	MIDORI_NEW_VIEW_TAB,
	MIDORI_NEW_VIEW_BACKGROUND,
	MIDORI_NEW_VIEW_WINDOW
} MidoriNewView;

typedef enum  {
	MIDORI_SECURITY_NONE,
	MIDORI_SECURITY_UNKNOWN,
	MIDORI_SECURITY_TRUSTED
} MidoriSecurity;

typedef enum  {
	MIDORI_LOAD_FINISHED,
	MIDORI_LOAD_COMMITTED,
	MIDORI_LOAD_PROVISIONAL
} MidoriLoadStatus;

struct _MidoriTab {
	GtkVBox parent_instance;
	MidoriTabPrivate * priv;
};

struct _MidoriTabClass {
	GtkVBoxClass parent_class;
};

struct _MidoriTabPrivate {
	WebKitWebView* _web_view;
	gchar* current_uri;
	gboolean _special;
	gchar* _mime_type;
	MidoriSecurity _security;
	MidoriLoadStatus _load_status;
	gchar* _statusbar_text;
	GdkColor* _fg_color;
	GdkColor* _bg_color;
	gdouble current_progress;
	gboolean _is_dialog;
};


static gpointer midori_tab_parent_class = NULL;

GType midori_new_view_get_type (void) G_GNUC_CONST;
GType midori_security_get_type (void) G_GNUC_CONST;
GType midori_load_status_get_type (void) G_GNUC_CONST;
GType midori_tab_get_type (void) G_GNUC_CONST;
#define MIDORI_TAB_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), MIDORI_TYPE_TAB, MidoriTabPrivate))
enum  {
	MIDORI_TAB_DUMMY_PROPERTY,
	MIDORI_TAB_WEB_VIEW,
	MIDORI_TAB_URI,
	MIDORI_TAB_SPECIAL,
	MIDORI_TAB_MIME_TYPE,
	MIDORI_TAB_SECURITY,
	MIDORI_TAB_LOAD_STATUS,
	MIDORI_TAB_STATUSBAR_TEXT,
	MIDORI_TAB_PROGRESS,
	MIDORI_TAB_IS_DIALOG,
	MIDORI_TAB_VIEW_SOURCE
};
gboolean midori_tab_is_blank (MidoriTab* self);
gboolean midori_uri_is_blank (const gchar* uri);
const gchar* midori_tab_get_uri (MidoriTab* self);
void midori_tab_inject_stylesheet (MidoriTab* self, const gchar* stylesheet);
WebKitWebView* midori_tab_get_web_view (MidoriTab* self);
gboolean midori_tab_can_view_source (MidoriTab* self);
gboolean midori_tab_get_view_source (MidoriTab* self);
const gchar* midori_tab_get_mime_type (MidoriTab* self);
gchar* midori_tab_get_display_title (const gchar* title, const gchar* uri);
gchar* midori_uri_strip_prefix_for_display (const gchar* uri);
PangoEllipsizeMode midori_tab_get_display_ellipsize (const gchar* title, const gchar* uri);
gboolean midori_tab_can_save (MidoriTab* self);
gboolean midori_tab_get_special (MidoriTab* self);
void midori_tab_stop_loading (MidoriTab* self);
gboolean midori_tab_can_go_forward (MidoriTab* self);
void midori_tab_go_forward (MidoriTab* self);
void midori_tab_unmark_text_matches (MidoriTab* self);
gboolean midori_tab_find (MidoriTab* self, const gchar* text, gboolean case_sensitive, gboolean forward);
MidoriTab* midori_tab_new (void);
MidoriTab* midori_tab_construct (GType object_type);
static void midori_tab_set_web_view (MidoriTab* self, WebKitWebView* value);
void midori_tab_set_uri (MidoriTab* self, const gchar* value);
gchar* midori_uri_format_for_display (const gchar* uri);
void midori_tab_set_special (MidoriTab* self, gboolean value);
void midori_tab_set_mime_type (MidoriTab* self, const gchar* value);
MidoriSecurity midori_tab_get_security (MidoriTab* self);
void midori_tab_set_security (MidoriTab* self, MidoriSecurity value);
MidoriLoadStatus midori_tab_get_load_status (MidoriTab* self);
void midori_tab_set_load_status (MidoriTab* self, MidoriLoadStatus value);
const gchar* midori_tab_get_statusbar_text (MidoriTab* self);
void midori_tab_set_statusbar_text (MidoriTab* self, const gchar* value);
GdkColor* midori_tab_get_fg_color (MidoriTab* self);
void midori_tab_set_fg_color (MidoriTab* self, GdkColor* value);
static GdkColor* _gdk_color_dup (GdkColor* self);
GdkColor* midori_tab_get_bg_color (MidoriTab* self);
void midori_tab_set_bg_color (MidoriTab* self, GdkColor* value);
gdouble midori_tab_get_progress (MidoriTab* self);
void midori_tab_set_progress (MidoriTab* self, gdouble value);
gboolean midori_tab_get_is_dialog (MidoriTab* self);
void midori_tab_set_is_dialog (MidoriTab* self, gboolean value);
void midori_tab_set_view_source (MidoriTab* self, gboolean value);
static void g_cclosure_user_marshal_VOID__STRING_INT_STRING (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static void g_cclosure_user_marshal_VOID__BOOLEAN_STRING (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
GType midori_context_action_get_type (void) G_GNUC_CONST;
static void g_cclosure_user_marshal_VOID__OBJECT_OBJECT (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static GObject * midori_tab_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties);
static void midori_tab_finalize (GObject* obj);
static void _vala_midori_tab_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_midori_tab_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


GType midori_new_view_get_type (void) {
	static volatile gsize midori_new_view_type_id__volatile = 0;
	if (g_once_init_enter (&midori_new_view_type_id__volatile)) {
		static const GEnumValue values[] = {{MIDORI_NEW_VIEW_TAB, "MIDORI_NEW_VIEW_TAB", "tab"}, {MIDORI_NEW_VIEW_BACKGROUND, "MIDORI_NEW_VIEW_BACKGROUND", "background"}, {MIDORI_NEW_VIEW_WINDOW, "MIDORI_NEW_VIEW_WINDOW", "window"}, {0, NULL, NULL}};
		GType midori_new_view_type_id;
		midori_new_view_type_id = g_enum_register_static ("MidoriNewView", values);
		g_once_init_leave (&midori_new_view_type_id__volatile, midori_new_view_type_id);
	}
	return midori_new_view_type_id__volatile;
}


GType midori_security_get_type (void) {
	static volatile gsize midori_security_type_id__volatile = 0;
	if (g_once_init_enter (&midori_security_type_id__volatile)) {
		static const GEnumValue values[] = {{MIDORI_SECURITY_NONE, "MIDORI_SECURITY_NONE", "none"}, {MIDORI_SECURITY_UNKNOWN, "MIDORI_SECURITY_UNKNOWN", "unknown"}, {MIDORI_SECURITY_TRUSTED, "MIDORI_SECURITY_TRUSTED", "trusted"}, {0, NULL, NULL}};
		GType midori_security_type_id;
		midori_security_type_id = g_enum_register_static ("MidoriSecurity", values);
		g_once_init_leave (&midori_security_type_id__volatile, midori_security_type_id);
	}
	return midori_security_type_id__volatile;
}


GType midori_load_status_get_type (void) {
	static volatile gsize midori_load_status_type_id__volatile = 0;
	if (g_once_init_enter (&midori_load_status_type_id__volatile)) {
		static const GEnumValue values[] = {{MIDORI_LOAD_FINISHED, "MIDORI_LOAD_FINISHED", "finished"}, {MIDORI_LOAD_COMMITTED, "MIDORI_LOAD_COMMITTED", "committed"}, {MIDORI_LOAD_PROVISIONAL, "MIDORI_LOAD_PROVISIONAL", "provisional"}, {0, NULL, NULL}};
		GType midori_load_status_type_id;
		midori_load_status_type_id = g_enum_register_static ("MidoriLoadStatus", values);
		g_once_init_leave (&midori_load_status_type_id__volatile, midori_load_status_type_id);
	}
	return midori_load_status_type_id__volatile;
}


gboolean midori_tab_is_blank (MidoriTab* self) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 99 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 100 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = midori_tab_get_uri (self);
#line 100 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = _tmp0_;
#line 100 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp2_ = midori_uri_is_blank (_tmp1_);
#line 100 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = _tmp2_;
#line 100 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 231 "midori-tab.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 119 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return self ? g_object_ref (self) : NULL;
#line 238 "midori-tab.c"
}


void midori_tab_inject_stylesheet (MidoriTab* self, const gchar* stylesheet) {
	WebKitDOMDocument* dom = NULL;
	WebKitWebView* _tmp0_ = NULL;
	WebKitDOMDocument* _tmp1_ = NULL;
	WebKitDOMDocument* _tmp2_ = NULL;
	GError * _inner_error_ = NULL;
#line 117 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (self != NULL);
#line 117 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (stylesheet != NULL);
#line 119 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->_web_view;
#line 119 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = webkit_web_view_get_dom_document (_tmp0_);
#line 119 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 119 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	dom = _tmp2_;
#line 260 "midori-tab.c"
	{
		WebKitDOMElement* style = NULL;
		WebKitDOMDocument* _tmp3_ = NULL;
		WebKitDOMElement* _tmp4_ = NULL;
		WebKitDOMElement* _tmp5_ = NULL;
		WebKitDOMElement* _tmp6_ = NULL;
		WebKitDOMElement* _tmp7_ = NULL;
		WebKitDOMDocument* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
		WebKitDOMText* _tmp10_ = NULL;
		WebKitDOMDocument* _tmp11_ = NULL;
		WebKitDOMHTMLElement* _tmp12_ = NULL;
		WebKitDOMHTMLElement* _tmp13_ = NULL;
		WebKitDOMDocument* _tmp14_ = NULL;
		WebKitDOMHTMLElement* _tmp15_ = NULL;
		WebKitDOMHTMLElement* _tmp16_ = NULL;
		WebKitDOMElement* _tmp17_ = NULL;
#line 121 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp3_ = dom;
#line 121 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp4_ = webkit_dom_document_create_element (_tmp3_, "style", &_inner_error_);
#line 121 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp5_ = _g_object_ref0 (_tmp4_);
#line 121 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		style = _tmp5_;
#line 121 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		if (_inner_error_ != NULL) {
#line 288 "midori-tab.c"
			goto __catch25_g_error;
		}
#line 122 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp6_ = style;
#line 122 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		webkit_dom_element_set_attribute (_tmp6_, "type", "text/css", &_inner_error_);
#line 122 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		if (_inner_error_ != NULL) {
#line 122 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
			_g_object_unref0 (style);
#line 299 "midori-tab.c"
			goto __catch25_g_error;
		}
#line 123 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp7_ = style;
#line 123 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp8_ = dom;
#line 123 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp9_ = stylesheet;
#line 123 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp10_ = webkit_dom_document_create_text_node (_tmp8_, _tmp9_);
#line 123 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		webkit_dom_node_append_child ((WebKitDOMNode*) _tmp7_, (WebKitDOMNode*) _tmp10_, &_inner_error_);
#line 123 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		if (_inner_error_ != NULL) {
#line 123 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
			_g_object_unref0 (style);
#line 316 "midori-tab.c"
			goto __catch25_g_error;
		}
#line 124 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp11_ = dom;
#line 124 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp12_ = webkit_dom_document_get_head (_tmp11_);
#line 124 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp13_ = _tmp12_;
#line 124 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		g_return_if_fail (_tmp13_ != NULL);
#line 125 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp14_ = dom;
#line 125 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp15_ = webkit_dom_document_get_head (_tmp14_);
#line 125 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp16_ = _tmp15_;
#line 125 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp17_ = style;
#line 125 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		webkit_dom_node_append_child ((WebKitDOMNode*) _tmp16_, (WebKitDOMNode*) _tmp17_, &_inner_error_);
#line 125 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		if (_inner_error_ != NULL) {
#line 125 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
			_g_object_unref0 (style);
#line 341 "midori-tab.c"
			goto __catch25_g_error;
		}
#line 120 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_g_object_unref0 (style);
#line 346 "midori-tab.c"
	}
	goto __finally25;
	__catch25_g_error:
	{
		GError* _error_ = NULL;
		const gchar* _tmp18_ = NULL;
		GError* _tmp19_ = NULL;
		const gchar* _tmp20_ = NULL;
#line 120 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_error_ = _inner_error_;
#line 120 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_inner_error_ = NULL;
#line 128 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp18_ = _ ("Failed to inject stylesheet: %s");
#line 128 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp19_ = _error_;
#line 128 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp20_ = _tmp19_->message;
#line 128 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		g_critical (_tmp18_, _tmp20_);
#line 120 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_g_error_free0 (_error_);
#line 369 "midori-tab.c"
	}
	__finally25:
#line 120 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (_inner_error_ != NULL) {
#line 120 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_g_object_unref0 (dom);
#line 120 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 120 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		g_clear_error (&_inner_error_);
#line 120 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		return;
#line 382 "midori-tab.c"
	}
#line 117 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_g_object_unref0 (dom);
#line 386 "midori-tab.c"
}


gboolean midori_tab_can_view_source (MidoriTab* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gchar* content_type = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* text_type = NULL;
	gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	gboolean _tmp7_ = FALSE;
#line 153 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 154 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = midori_tab_get_view_source (self);
#line 154 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = _tmp0_;
#line 154 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (_tmp1_) {
#line 155 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		result = FALSE;
#line 155 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		return result;
#line 414 "midori-tab.c"
	}
#line 156 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp2_ = self->priv->_mime_type;
#line 156 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp3_ = g_content_type_from_mime_type (_tmp2_);
#line 156 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	content_type = _tmp3_;
#line 161 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp4_ = g_content_type_from_mime_type ("text/plain");
#line 161 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	text_type = _tmp4_;
#line 163 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp5_ = content_type;
#line 163 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp6_ = text_type;
#line 163 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp7_ = g_content_type_is_a (_tmp5_, _tmp6_);
#line 163 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = _tmp7_;
#line 163 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_g_free0 (text_type);
#line 163 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_g_free0 (content_type);
#line 163 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 440 "midori-tab.c"
}


gchar* midori_tab_get_display_title (const gchar* title, const gchar* uri) {
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp8_ = FALSE;
	gboolean _tmp14_ = FALSE;
	const gchar* _tmp15_ = NULL;
	gboolean _tmp21_ = FALSE;
	const gchar* _tmp24_ = NULL;
	gboolean _tmp25_ = FALSE;
	const gchar* _tmp28_ = NULL;
	gchar* _tmp29_ = NULL;
#line 166 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (uri != NULL, NULL);
#line 168 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = title;
#line 168 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (_tmp1_ == NULL) {
#line 462 "midori-tab.c"
		gboolean _tmp2_ = FALSE;
		const gchar* _tmp3_ = NULL;
		gboolean _tmp4_ = FALSE;
		gboolean _tmp7_ = FALSE;
#line 168 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp3_ = uri;
#line 168 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp4_ = g_str_has_suffix (_tmp3_, ".diff");
#line 168 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		if (_tmp4_) {
#line 168 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
			_tmp2_ = TRUE;
#line 475 "midori-tab.c"
		} else {
			const gchar* _tmp5_ = NULL;
			gboolean _tmp6_ = FALSE;
#line 168 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
			_tmp5_ = uri;
#line 168 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
			_tmp6_ = g_str_has_suffix (_tmp5_, ".patch");
#line 168 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
			_tmp2_ = _tmp6_;
#line 485 "midori-tab.c"
		}
#line 168 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp7_ = _tmp2_;
#line 168 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp0_ = _tmp7_;
#line 491 "midori-tab.c"
	} else {
#line 168 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp0_ = FALSE;
#line 495 "midori-tab.c"
	}
#line 168 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp8_ = _tmp0_;
#line 168 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (_tmp8_) {
#line 501 "midori-tab.c"
		const gchar* _tmp9_ = NULL;
		GFile* _tmp10_ = NULL;
		GFile* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
#line 169 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp9_ = uri;
#line 169 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp10_ = g_file_new_for_uri (_tmp9_);
#line 169 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp11_ = _tmp10_;
#line 169 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp12_ = g_file_get_basename (_tmp11_);
#line 169 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp13_ = _tmp12_;
#line 169 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_g_object_unref0 (_tmp11_);
#line 169 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		result = _tmp13_;
#line 169 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		return result;
#line 523 "midori-tab.c"
	}
#line 172 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp15_ = title;
#line 172 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (_tmp15_ == NULL) {
#line 172 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp14_ = TRUE;
#line 531 "midori-tab.c"
	} else {
		gboolean _tmp16_ = FALSE;
		const gchar* _tmp17_ = NULL;
		gboolean _tmp20_ = FALSE;
#line 172 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp17_ = title;
#line 172 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		if (g_strcmp0 (_tmp17_, "OMG!") == 0) {
#line 540 "midori-tab.c"
			const gchar* _tmp18_ = NULL;
			gboolean _tmp19_ = FALSE;
#line 172 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
			_tmp18_ = uri;
#line 172 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
			_tmp19_ = g_str_has_prefix (_tmp18_, "file://");
#line 172 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
			_tmp16_ = _tmp19_;
#line 549 "midori-tab.c"
		} else {
#line 172 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
			_tmp16_ = FALSE;
#line 553 "midori-tab.c"
		}
#line 172 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp20_ = _tmp16_;
#line 172 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp14_ = _tmp20_;
#line 559 "midori-tab.c"
	}
#line 172 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp21_ = _tmp14_;
#line 172 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (_tmp21_) {
#line 565 "midori-tab.c"
		const gchar* _tmp22_ = NULL;
		gchar* _tmp23_ = NULL;
#line 173 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp22_ = uri;
#line 173 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp23_ = midori_uri_strip_prefix_for_display (_tmp22_);
#line 173 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		result = _tmp23_;
#line 173 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		return result;
#line 576 "midori-tab.c"
	}
#line 182 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp24_ = title;
#line 182 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp25_ = g_str_has_prefix (_tmp24_, "‪");
#line 182 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (!_tmp25_) {
#line 584 "midori-tab.c"
		const gchar* _tmp26_ = NULL;
		gchar* _tmp27_ = NULL;
#line 183 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp26_ = title;
#line 183 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp27_ = g_strconcat ("‪", _tmp26_, NULL);
#line 183 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		result = _tmp27_;
#line 183 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		return result;
#line 595 "midori-tab.c"
	}
#line 185 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp28_ = title;
#line 185 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp29_ = g_strdup (_tmp28_);
#line 185 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = _tmp29_;
#line 185 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 605 "midori-tab.c"
}


PangoEllipsizeMode midori_tab_get_display_ellipsize (const gchar* title, const gchar* uri) {
	PangoEllipsizeMode result = 0;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	const gchar* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp7_ = FALSE;
	gchar** parts = NULL;
	const gchar* _tmp8_ = NULL;
	gchar** _tmp9_ = NULL;
	gchar** _tmp10_ = NULL;
	gint parts_length1 = 0;
	gint _parts_size_ = 0;
	gboolean _tmp11_ = FALSE;
	gchar** _tmp12_ = NULL;
	gint _tmp12__length1 = 0;
	const gchar* _tmp13_ = NULL;
	gboolean _tmp21_ = FALSE;
#line 188 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (title != NULL, 0);
#line 188 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (uri != NULL, 0);
#line 189 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = title;
#line 189 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = uri;
#line 189 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (g_strcmp0 (_tmp0_, _tmp1_) == 0) {
#line 190 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		result = PANGO_ELLIPSIZE_START;
#line 190 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		return result;
#line 642 "midori-tab.c"
	}
#line 192 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp3_ = title;
#line 192 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp4_ = g_str_has_suffix (_tmp3_, ".diff");
#line 192 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (_tmp4_) {
#line 192 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp2_ = TRUE;
#line 652 "midori-tab.c"
	} else {
		const gchar* _tmp5_ = NULL;
		gboolean _tmp6_ = FALSE;
#line 192 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp5_ = title;
#line 192 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp6_ = g_str_has_suffix (_tmp5_, ".patch");
#line 192 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp2_ = _tmp6_;
#line 662 "midori-tab.c"
	}
#line 192 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp7_ = _tmp2_;
#line 192 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (_tmp7_) {
#line 193 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		result = PANGO_ELLIPSIZE_START;
#line 193 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		return result;
#line 672 "midori-tab.c"
	}
#line 195 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp8_ = title;
#line 195 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp10_ = _tmp9_ = g_strsplit (_tmp8_, " ", 0);
#line 195 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	parts = _tmp10_;
#line 195 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	parts_length1 = _vala_array_length (_tmp9_);
#line 195 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_parts_size_ = parts_length1;
#line 196 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp12_ = parts;
#line 196 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp12__length1 = parts_length1;
#line 196 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp13_ = _tmp12_[0];
#line 196 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (_tmp13_ != NULL) {
#line 692 "midori-tab.c"
		const gchar* _tmp14_ = NULL;
		gchar** _tmp15_ = NULL;
		gint _tmp15__length1 = 0;
		gchar** _tmp16_ = NULL;
		gint _tmp16__length1 = 0;
		const gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gboolean _tmp20_ = FALSE;
#line 196 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp14_ = uri;
#line 196 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp15_ = parts;
#line 196 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp15__length1 = parts_length1;
#line 196 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp16_ = parts;
#line 196 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp16__length1 = parts_length1;
#line 196 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp17_ = _tmp15_[_tmp16__length1 - 1];
#line 196 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp18_ = g_utf8_strdown (_tmp17_, (gssize) (-1));
#line 196 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp19_ = _tmp18_;
#line 196 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp20_ = g_str_has_suffix (_tmp14_, _tmp19_);
#line 196 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp11_ = _tmp20_;
#line 196 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_g_free0 (_tmp19_);
#line 724 "midori-tab.c"
	} else {
#line 196 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp11_ = FALSE;
#line 728 "midori-tab.c"
	}
#line 196 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp21_ = _tmp11_;
#line 196 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (_tmp21_) {
#line 197 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		result = PANGO_ELLIPSIZE_START;
#line 197 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		parts = (_vala_array_free (parts, parts_length1, (GDestroyNotify) g_free), NULL);
#line 197 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		return result;
#line 740 "midori-tab.c"
	}
#line 199 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = PANGO_ELLIPSIZE_END;
#line 199 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	parts = (_vala_array_free (parts, parts_length1, (GDestroyNotify) g_free), NULL);
#line 199 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 748 "midori-tab.c"
}


gboolean midori_tab_can_save (MidoriTab* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	WebKitWebView* _tmp6_ = NULL;
	WebKitWebFrame* _tmp7_ = NULL;
	WebKitWebDataSource* _tmp8_ = NULL;
	GString* _tmp9_ = NULL;
#line 203 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 204 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = midori_tab_is_blank (self);
#line 204 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (_tmp1_) {
#line 204 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp0_ = TRUE;
#line 771 "midori-tab.c"
	} else {
		gboolean _tmp2_ = FALSE;
#line 204 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp2_ = self->priv->_special;
#line 204 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp0_ = _tmp2_;
#line 778 "midori-tab.c"
	}
#line 204 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp3_ = _tmp0_;
#line 204 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (_tmp3_) {
#line 205 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		result = FALSE;
#line 205 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		return result;
#line 788 "midori-tab.c"
	}
#line 206 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp4_ = midori_tab_get_view_source (self);
#line 206 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp5_ = _tmp4_;
#line 206 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (_tmp5_) {
#line 207 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		result = FALSE;
#line 207 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		return result;
#line 800 "midori-tab.c"
	}
#line 209 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp6_ = self->priv->_web_view;
#line 209 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp7_ = webkit_web_view_get_main_frame (_tmp6_);
#line 209 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp8_ = webkit_web_frame_get_data_source (_tmp7_);
#line 209 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp9_ = webkit_web_data_source_get_data (_tmp8_);
#line 209 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (_tmp9_ == NULL) {
#line 210 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		result = FALSE;
#line 210 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		return result;
#line 816 "midori-tab.c"
	}
#line 212 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = TRUE;
#line 212 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 822 "midori-tab.c"
}


void midori_tab_stop_loading (MidoriTab* self) {
	WebKitWebView* _tmp0_ = NULL;
#line 215 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (self != NULL);
#line 216 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->_web_view;
#line 216 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	webkit_web_view_stop_loading (_tmp0_);
#line 834 "midori-tab.c"
}


gboolean midori_tab_can_go_forward (MidoriTab* self) {
	gboolean result = FALSE;
	WebKitWebView* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 219 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 220 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->_web_view;
#line 220 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = webkit_web_view_can_go_forward (_tmp0_);
#line 220 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = _tmp1_;
#line 220 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 852 "midori-tab.c"
}


void midori_tab_go_forward (MidoriTab* self) {
	WebKitWebView* _tmp0_ = NULL;
#line 223 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (self != NULL);
#line 227 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->_web_view;
#line 227 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	webkit_web_view_go_forward (_tmp0_);
#line 864 "midori-tab.c"
}


void midori_tab_unmark_text_matches (MidoriTab* self) {
	WebKitWebView* _tmp0_ = NULL;
#line 230 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (self != NULL);
#line 232 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->_web_view;
#line 232 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	webkit_web_view_unmark_text_matches (_tmp0_);
#line 876 "midori-tab.c"
}


gboolean midori_tab_find (MidoriTab* self, const gchar* text, gboolean case_sensitive, gboolean forward) {
	gboolean result = FALSE;
	gboolean found = FALSE;
	WebKitWebView* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
	WebKitWebView* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	gboolean _tmp7_ = FALSE;
	WebKitWebView* _tmp8_ = NULL;
#line 236 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 236 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (text != NULL, FALSE);
#line 248 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	found = FALSE;
#line 249 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->_web_view;
#line 249 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = text;
#line 249 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp2_ = case_sensitive;
#line 249 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp3_ = forward;
#line 249 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp4_ = webkit_web_view_search_text (_tmp0_, _tmp1_, _tmp2_, _tmp3_, TRUE);
#line 249 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	found = _tmp4_;
#line 250 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp5_ = self->priv->_web_view;
#line 250 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp6_ = text;
#line 250 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp7_ = case_sensitive;
#line 250 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	webkit_web_view_mark_text_matches (_tmp5_, _tmp6_, _tmp7_, (guint) 0);
#line 251 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp8_ = self->priv->_web_view;
#line 251 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	webkit_web_view_set_highlight_text_matches (_tmp8_, TRUE);
#line 252 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = found;
#line 252 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 926 "midori-tab.c"
}


MidoriTab* midori_tab_construct (GType object_type) {
	MidoriTab * self = NULL;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self = (MidoriTab*) g_object_new (object_type, NULL);
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return self;
#line 936 "midori-tab.c"
}


MidoriTab* midori_tab_new (void) {
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return midori_tab_construct (MIDORI_TYPE_TAB);
#line 943 "midori-tab.c"
}


WebKitWebView* midori_tab_get_web_view (MidoriTab* self) {
	WebKitWebView* result;
	WebKitWebView* _tmp0_ = NULL;
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->_web_view;
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = _tmp0_;
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 958 "midori-tab.c"
}


static void midori_tab_set_web_view (MidoriTab* self, WebKitWebView* value) {
	WebKitWebView* _tmp0_ = NULL;
	WebKitWebView* _tmp1_ = NULL;
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (self != NULL);
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = value;
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_g_object_unref0 (self->priv->_web_view);
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->_web_view = _tmp1_;
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_notify ((GObject *) self, "web-view");
#line 977 "midori-tab.c"
}


const gchar* midori_tab_get_uri (MidoriTab* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 44 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 45 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->current_uri;
#line 45 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = _tmp0_;
#line 45 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 992 "midori-tab.c"
}


void midori_tab_set_uri (MidoriTab* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 47 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (self != NULL);
#line 48 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = value;
#line 48 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = midori_uri_format_for_display (_tmp0_);
#line 48 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_g_free0 (self->priv->current_uri);
#line 48 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->current_uri = _tmp1_;
#line 47 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_notify ((GObject *) self, "uri");
#line 1011 "midori-tab.c"
}


gboolean midori_tab_get_special (MidoriTab* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 53 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 53 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->_special;
#line 53 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = _tmp0_;
#line 53 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 1026 "midori-tab.c"
}


void midori_tab_set_special (MidoriTab* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 53 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (self != NULL);
#line 53 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = value;
#line 53 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->_special = _tmp0_;
#line 53 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_notify ((GObject *) self, "special");
#line 1040 "midori-tab.c"
}


const gchar* midori_tab_get_mime_type (MidoriTab* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 55 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 55 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->_mime_type;
#line 55 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = _tmp0_;
#line 55 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 1055 "midori-tab.c"
}


void midori_tab_set_mime_type (MidoriTab* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 55 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (self != NULL);
#line 55 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = value;
#line 55 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 55 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_g_free0 (self->priv->_mime_type);
#line 55 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->_mime_type = _tmp1_;
#line 55 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_notify ((GObject *) self, "mime-type");
#line 1074 "midori-tab.c"
}


MidoriSecurity midori_tab_get_security (MidoriTab* self) {
	MidoriSecurity result;
	MidoriSecurity _tmp0_ = 0;
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->_security;
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = _tmp0_;
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 1089 "midori-tab.c"
}


void midori_tab_set_security (MidoriTab* self, MidoriSecurity value) {
	MidoriSecurity _tmp0_ = 0;
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (self != NULL);
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = value;
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->_security = _tmp0_;
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_notify ((GObject *) self, "security");
#line 1103 "midori-tab.c"
}


MidoriLoadStatus midori_tab_get_load_status (MidoriTab* self) {
	MidoriLoadStatus result;
	MidoriLoadStatus _tmp0_ = 0;
#line 58 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 58 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->_load_status;
#line 58 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = _tmp0_;
#line 58 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 1118 "midori-tab.c"
}


void midori_tab_set_load_status (MidoriTab* self, MidoriLoadStatus value) {
	MidoriLoadStatus _tmp0_ = 0;
#line 58 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (self != NULL);
#line 58 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = value;
#line 58 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->_load_status = _tmp0_;
#line 58 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_notify ((GObject *) self, "load-status");
#line 1132 "midori-tab.c"
}


const gchar* midori_tab_get_statusbar_text (MidoriTab* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->_statusbar_text;
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = _tmp0_;
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 1147 "midori-tab.c"
}


void midori_tab_set_statusbar_text (MidoriTab* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (self != NULL);
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = value;
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_g_free0 (self->priv->_statusbar_text);
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->_statusbar_text = _tmp1_;
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_notify ((GObject *) self, "statusbar-text");
#line 1166 "midori-tab.c"
}


GdkColor* midori_tab_get_fg_color (MidoriTab* self) {
	GdkColor* result;
	GdkColor* _tmp0_ = NULL;
#line 61 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 61 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->_fg_color;
#line 61 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = _tmp0_;
#line 61 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 1181 "midori-tab.c"
}


static GdkColor* _gdk_color_dup (GdkColor* self) {
	GdkColor* dup;
#line 61 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	dup = g_new0 (GdkColor, 1);
#line 61 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	memcpy (dup, self, sizeof (GdkColor));
#line 61 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return dup;
#line 1193 "midori-tab.c"
}


static gpointer __gdk_color_dup0 (gpointer self) {
#line 61 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return self ? _gdk_color_dup (self) : NULL;
#line 1200 "midori-tab.c"
}


void midori_tab_set_fg_color (MidoriTab* self, GdkColor* value) {
	GdkColor* _tmp0_ = NULL;
	GdkColor* _tmp1_ = NULL;
#line 61 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (self != NULL);
#line 61 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = value;
#line 61 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = __gdk_color_dup0 (_tmp0_);
#line 61 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_g_free0 (self->priv->_fg_color);
#line 61 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->_fg_color = _tmp1_;
#line 1217 "midori-tab.c"
}


GdkColor* midori_tab_get_bg_color (MidoriTab* self) {
	GdkColor* result;
	GdkColor* _tmp0_ = NULL;
#line 62 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 62 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->_bg_color;
#line 62 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = _tmp0_;
#line 62 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 1232 "midori-tab.c"
}


void midori_tab_set_bg_color (MidoriTab* self, GdkColor* value) {
	GdkColor* _tmp0_ = NULL;
	GdkColor* _tmp1_ = NULL;
#line 62 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (self != NULL);
#line 62 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = value;
#line 62 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = __gdk_color_dup0 (_tmp0_);
#line 62 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_g_free0 (self->priv->_bg_color);
#line 62 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->_bg_color = _tmp1_;
#line 1249 "midori-tab.c"
}


gdouble midori_tab_get_progress (MidoriTab* self) {
	gdouble result;
	gdouble _tmp0_ = 0.0;
	gboolean _tmp1_ = FALSE;
	gdouble _tmp3_ = 0.0;
#line 66 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 67 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = self->priv->_special;
#line 67 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (_tmp1_) {
#line 67 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp0_ = 0.0;
#line 1266 "midori-tab.c"
	} else {
		gdouble _tmp2_ = 0.0;
#line 67 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp2_ = self->priv->current_progress;
#line 67 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp0_ = _tmp2_;
#line 1273 "midori-tab.c"
	}
#line 67 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp3_ = _tmp0_;
#line 67 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = _tmp3_;
#line 67 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 1281 "midori-tab.c"
}


void midori_tab_set_progress (MidoriTab* self, gdouble value) {
	MidoriLoadStatus _tmp0_ = 0;
#line 69 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (self != NULL);
#line 71 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->_load_status;
#line 71 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (_tmp0_ == MIDORI_LOAD_FINISHED) {
#line 72 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		self->priv->current_progress = 0.0;
#line 1295 "midori-tab.c"
	} else {
		gdouble _tmp1_ = 0.0;
#line 74 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		_tmp1_ = value;
#line 74 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		if (_tmp1_ == 1.0) {
#line 75 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
			self->priv->current_progress = 0.0;
#line 1304 "midori-tab.c"
		} else {
			gdouble _tmp2_ = 0.0;
			gdouble _tmp3_ = 0.0;
#line 78 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
			_tmp2_ = value;
#line 78 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
			_tmp3_ = CLAMP (_tmp2_, 0.1, 1.0);
#line 78 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
			self->priv->current_progress = _tmp3_;
#line 1314 "midori-tab.c"
		}
	}
#line 69 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_notify ((GObject *) self, "progress");
#line 1319 "midori-tab.c"
}


gboolean midori_tab_get_is_dialog (MidoriTab* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 97 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 97 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->_is_dialog;
#line 97 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = _tmp0_;
#line 97 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 1334 "midori-tab.c"
}


void midori_tab_set_is_dialog (MidoriTab* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 97 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (self != NULL);
#line 97 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = value;
#line 97 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->_is_dialog = _tmp0_;
#line 97 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_notify ((GObject *) self, "is-dialog");
#line 1348 "midori-tab.c"
}


gboolean midori_tab_get_view_source (MidoriTab* self) {
	gboolean result;
	WebKitWebView* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 144 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 145 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->_web_view;
#line 145 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = webkit_web_view_get_view_source_mode (_tmp0_);
#line 145 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	result = _tmp1_;
#line 145 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return result;
#line 1366 "midori-tab.c"
}


void midori_tab_set_view_source (MidoriTab* self, gboolean value) {
	WebKitWebView* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 147 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (self != NULL);
#line 148 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = self->priv->_web_view;
#line 148 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = value;
#line 148 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	webkit_web_view_set_view_source_mode (_tmp0_, _tmp1_);
#line 147 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_notify ((GObject *) self, "view-source");
#line 1383 "midori-tab.c"
}


static void g_cclosure_user_marshal_VOID__STRING_INT_STRING (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__STRING_INT_STRING) (gpointer data1, const char* arg_1, gint arg_2, const char* arg_3, gpointer data2);
	register GMarshalFunc_VOID__STRING_INT_STRING callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (n_param_values == 4);
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		data1 = closure->data;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		data2 = param_values->data[0].v_pointer;
#line 1402 "midori-tab.c"
	} else {
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		data1 = param_values->data[0].v_pointer;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		data2 = closure->data;
#line 1408 "midori-tab.c"
	}
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	callback = (GMarshalFunc_VOID__STRING_INT_STRING) (marshal_data ? marshal_data : cc->callback);
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	callback (data1, g_value_get_string (param_values + 1), g_value_get_int (param_values + 2), g_value_get_string (param_values + 3), data2);
#line 1414 "midori-tab.c"
}


static void g_cclosure_user_marshal_VOID__BOOLEAN_STRING (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__BOOLEAN_STRING) (gpointer data1, gboolean arg_1, const char* arg_2, gpointer data2);
	register GMarshalFunc_VOID__BOOLEAN_STRING callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (n_param_values == 3);
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		data1 = closure->data;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		data2 = param_values->data[0].v_pointer;
#line 1433 "midori-tab.c"
	} else {
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		data1 = param_values->data[0].v_pointer;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		data2 = closure->data;
#line 1439 "midori-tab.c"
	}
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	callback = (GMarshalFunc_VOID__BOOLEAN_STRING) (marshal_data ? marshal_data : cc->callback);
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	callback (data1, g_value_get_boolean (param_values + 1), g_value_get_string (param_values + 2), data2);
#line 1445 "midori-tab.c"
}


static void g_cclosure_user_marshal_VOID__OBJECT_OBJECT (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__OBJECT_OBJECT) (gpointer data1, gpointer arg_1, gpointer arg_2, gpointer data2);
	register GMarshalFunc_VOID__OBJECT_OBJECT callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_return_if_fail (n_param_values == 3);
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		data1 = closure->data;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		data2 = param_values->data[0].v_pointer;
#line 1464 "midori-tab.c"
	} else {
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		data1 = param_values->data[0].v_pointer;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		data2 = closure->data;
#line 1470 "midori-tab.c"
	}
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	callback = (GMarshalFunc_VOID__OBJECT_OBJECT) (marshal_data ? marshal_data : cc->callback);
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	callback (data1, g_value_get_object (param_values + 1), g_value_get_object (param_values + 2), data2);
#line 1476 "midori-tab.c"
}


static GObject * midori_tab_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties) {
	GObject * obj;
	GObjectClass * parent_class;
	MidoriTab * self;
	WebKitWebView* _tmp0_ = NULL;
	WebKitWebView* _tmp1_ = NULL;
	WebKitWebView* _tmp2_ = NULL;
#line 103 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	parent_class = G_OBJECT_CLASS (midori_tab_parent_class);
#line 103 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 103 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MIDORI_TYPE_TAB, MidoriTab);
#line 112 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = (WebKitWebView*) webkit_web_view_new ();
#line 112 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_ref_sink (_tmp0_);
#line 112 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = _tmp0_;
#line 112 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	midori_tab_set_web_view (self, _tmp1_);
#line 112 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_g_object_unref0 (_tmp1_);
#line 114 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp2_ = self->priv->_web_view;
#line 114 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	webkit_web_view_load_uri (_tmp2_, "");
#line 103 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	return obj;
#line 1509 "midori-tab.c"
}


static void midori_tab_class_init (MidoriTabClass * klass) {
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	midori_tab_parent_class = g_type_class_peek_parent (klass);
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_type_class_add_private (klass, sizeof (MidoriTabPrivate));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_midori_tab_get_property;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_midori_tab_set_property;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	G_OBJECT_CLASS (klass)->constructor = midori_tab_constructor;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	G_OBJECT_CLASS (klass)->finalize = midori_tab_finalize;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_TAB_WEB_VIEW, g_param_spec_object ("web-view", "web-view", "web-view", WEBKIT_TYPE_WEB_VIEW, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_TAB_URI, g_param_spec_string ("uri", "uri", "uri", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_TAB_SPECIAL, g_param_spec_boolean ("special", "special", "special", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_TAB_MIME_TYPE, g_param_spec_string ("mime-type", "mime-type", "mime-type", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_TAB_SECURITY, g_param_spec_enum ("security", "security", "security", MIDORI_TYPE_SECURITY, MIDORI_SECURITY_NONE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_TAB_LOAD_STATUS, g_param_spec_enum ("load-status", "load-status", "load-status", MIDORI_TYPE_LOAD_STATUS, MIDORI_LOAD_FINISHED, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_TAB_STATUSBAR_TEXT, g_param_spec_string ("statusbar-text", "statusbar-text", "statusbar-text", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_TAB_PROGRESS, g_param_spec_double ("progress", "progress", "progress", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_TAB_IS_DIALOG, g_param_spec_boolean ("is-dialog", "is-dialog", "is-dialog", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_TAB_VIEW_SOURCE, g_param_spec_boolean ("view-source", "view-source", "view-source", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_signal_new ("console_message", MIDORI_TYPE_TAB, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_INT_STRING, G_TYPE_NONE, 3, G_TYPE_STRING, G_TYPE_INT, G_TYPE_STRING);
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_signal_new ("attach_inspector", MIDORI_TYPE_TAB, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, WEBKIT_TYPE_WEB_VIEW);
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_signal_new ("detach_inspector", MIDORI_TYPE_TAB, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, WEBKIT_TYPE_WEB_VIEW);
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_signal_new ("search_text", MIDORI_TYPE_TAB, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__BOOLEAN_STRING, G_TYPE_NONE, 2, G_TYPE_BOOLEAN, G_TYPE_STRING);
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	g_signal_new ("context_menu", MIDORI_TYPE_TAB, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__OBJECT_OBJECT, G_TYPE_NONE, 2, WEBKIT_TYPE_HIT_TEST_RESULT, MIDORI_TYPE_CONTEXT_ACTION);
#line 1556 "midori-tab.c"
}


static void midori_tab_instance_init (MidoriTab * self) {
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv = MIDORI_TAB_GET_PRIVATE (self);
#line 43 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp0_ = g_strdup ("about:blank");
#line 43 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->current_uri = _tmp0_;
#line 53 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->_special = FALSE;
#line 55 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_tmp1_ = g_strdup ("text/plain");
#line 55 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->_mime_type = _tmp1_;
#line 57 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->_security = MIDORI_SECURITY_NONE;
#line 58 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->_load_status = MIDORI_LOAD_FINISHED;
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->_statusbar_text = NULL;
#line 61 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->_fg_color = NULL;
#line 62 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->_bg_color = NULL;
#line 65 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self->priv->current_progress = 0.0;
#line 1587 "midori-tab.c"
}


static void midori_tab_finalize (GObject* obj) {
	MidoriTab * self;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MIDORI_TYPE_TAB, MidoriTab);
#line 37 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_g_object_unref0 (self->priv->_web_view);
#line 43 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_g_free0 (self->priv->current_uri);
#line 55 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_g_free0 (self->priv->_mime_type);
#line 59 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_g_free0 (self->priv->_statusbar_text);
#line 61 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_g_free0 (self->priv->_fg_color);
#line 62 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	_g_free0 (self->priv->_bg_color);
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	G_OBJECT_CLASS (midori_tab_parent_class)->finalize (obj);
#line 1609 "midori-tab.c"
}


GType midori_tab_get_type (void) {
	static volatile gsize midori_tab_type_id__volatile = 0;
	if (g_once_init_enter (&midori_tab_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MidoriTabClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) midori_tab_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MidoriTab), 0, (GInstanceInitFunc) midori_tab_instance_init, NULL };
		GType midori_tab_type_id;
		midori_tab_type_id = g_type_register_static (GTK_TYPE_VBOX, "MidoriTab", &g_define_type_info, 0);
		g_once_init_leave (&midori_tab_type_id__volatile, midori_tab_type_id);
	}
	return midori_tab_type_id__volatile;
}


static void _vala_midori_tab_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	MidoriTab * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MIDORI_TYPE_TAB, MidoriTab);
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	switch (property_id) {
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_WEB_VIEW:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		g_value_set_object (value, midori_tab_get_web_view (self));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_URI:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		g_value_set_string (value, midori_tab_get_uri (self));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_SPECIAL:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		g_value_set_boolean (value, midori_tab_get_special (self));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_MIME_TYPE:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		g_value_set_string (value, midori_tab_get_mime_type (self));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_SECURITY:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		g_value_set_enum (value, midori_tab_get_security (self));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_LOAD_STATUS:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		g_value_set_enum (value, midori_tab_get_load_status (self));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_STATUSBAR_TEXT:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		g_value_set_string (value, midori_tab_get_statusbar_text (self));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_PROGRESS:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		g_value_set_double (value, midori_tab_get_progress (self));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_IS_DIALOG:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		g_value_set_boolean (value, midori_tab_get_is_dialog (self));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_VIEW_SOURCE:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		g_value_set_boolean (value, midori_tab_get_view_source (self));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 1690 "midori-tab.c"
		default:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 1696 "midori-tab.c"
	}
}


static void _vala_midori_tab_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	MidoriTab * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MIDORI_TYPE_TAB, MidoriTab);
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
	switch (property_id) {
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_WEB_VIEW:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		midori_tab_set_web_view (self, g_value_get_object (value));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_URI:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		midori_tab_set_uri (self, g_value_get_string (value));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_SPECIAL:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		midori_tab_set_special (self, g_value_get_boolean (value));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_MIME_TYPE:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		midori_tab_set_mime_type (self, g_value_get_string (value));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_SECURITY:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		midori_tab_set_security (self, g_value_get_enum (value));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_LOAD_STATUS:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		midori_tab_set_load_status (self, g_value_get_enum (value));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_STATUSBAR_TEXT:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		midori_tab_set_statusbar_text (self, g_value_get_string (value));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_PROGRESS:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		midori_tab_set_progress (self, g_value_get_double (value));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_IS_DIALOG:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		midori_tab_set_is_dialog (self, g_value_get_boolean (value));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		case MIDORI_TAB_VIEW_SOURCE:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		midori_tab_set_view_source (self, g_value_get_boolean (value));
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 1766 "midori-tab.c"
		default:
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 36 "/tmp/B.f9e2e0d5-596d-47aa-8a75-ed1db40d8ccb/BUILD/midori-0.5.6/midori/midori-tab.vala"
		break;
#line 1772 "midori-tab.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



